package main.experimental;

import java.awt.Dimension;

import javax.swing.BoxLayout;
import javax.swing.JPanel;

import main.experimental.ui.experdialog.ExperiencePane;
import main.experimental.ui.innerQuestionPane.InnerQuestionPane;
import main.phrasemodel.management.model.ExperModel;

@SuppressWarnings("serial")
public class Experimental extends JPanel {
	
	private ExperiencePane ep;
	private InnerQuestionPane iqp;
	//private QueTableModel qtModel;
	
	public Experimental() {
		//qtModel = new QueTableModel();
		ExperModel experModel = new ExperModel();
		iqp = new InnerQuestionPane();
		ep = new ExperiencePane(experModel, iqp.getTable());
		iqp.setExpTable(ep.getTable());
		
//		iqp.setSize(100, 100);
//		ep.setSize(100, 100);
		this.setPreferredSize(new Dimension(500, 400));
		this.setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		this.add(ep);
		this.add(iqp);
	}
 
}
