package main.experimental.ui;

import java.awt.Dimension;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.Reader;

import javax.swing.JDialog;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

public class ShowRTextDialog extends JDialog {
	private static final long serialVersionUID = 8601796108201267441L;

	public ShowRTextDialog(File file){
		initView(file);
	}

	private void initView(File file) {
		Reader reader = null;
		JTextArea area = new JTextArea();
		try {
			reader = new FileReader(file.getPath());
			area.read(reader, null);
			reader.close();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
		JScrollPane areaScrollPane = new JScrollPane(area);
		areaScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
		areaScrollPane.setPreferredSize(new Dimension(250, 250));
		this.add(areaScrollPane);
		this.setSize(new Dimension(480, 480));
		this.setVisible(true);
	}
}
