package main.experimental.ui.experdialog;

import java.awt.BorderLayout;
import java.awt.Frame;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JDialog;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.JTextArea;

import tools.util.Constant;
import tools.util.ScreenSet;

import model.Questionnaire;
import model.QuestionsTableModel;

@SuppressWarnings("serial")
public class QueSampleDialog extends JDialog {

	private JTextArea taGuildSentence;
	private JTable tSentence;
	//private Questionnaire questionnaire;
	
	public QueSampleDialog(ExperiencePane ep, Questionnaire questionnaire) {
		//this.questionnaire = questionnaire;
		super((Frame) ep.getTopLevelAncestor(), true);
		Vector<String> colName = new Vector<String>();
		colName.add(Constant.EXP_QUE);
		colName.add(Constant.EXP_SURSAMPLE_IS_FAKE);

		taGuildSentence = new JTextArea(questionnaire.getExperiment().getGuideGuide());
		taGuildSentence.setBorder(BorderFactory.createTitledBorder(Constant.EXP_GUIDE));
		taGuildSentence.setEditable(false);
		
		tSentence = new JTable(QuestionsTableModel.getInstance(questionnaire));
		JScrollPane jsPane = new JScrollPane(tSentence);
		jsPane.setBorder(BorderFactory.createTitledBorder(Constant.EXP_QUE));
		
		this.setLayout(new BorderLayout());
		this.add(taGuildSentence, BorderLayout.NORTH);
		this.add(jsPane, BorderLayout.CENTER);
		this.setTitle(Constant.EXP_SURSAMPLE);
		this.pack();
		ScreenSet.setWidowCenter(this);
		this.setVisible(true);
	}

}
