package main.phrasemodel.management.view;

import javax.swing.BorderFactory;
import javax.swing.Box;
import javax.swing.JLabel;
import javax.swing.JPanel;

import main.phrasemodel.vo.PhraseData;
import tools.util.Constant;

public class PhraseInfoPanel extends JPanel {
	private static final long serialVersionUID = -8297353589384989602L;
	
	public PhraseInfoPanel(PhraseData pd){
		setBorder(BorderFactory.createTitledBorder(Constant.FACTOR_MANAGE_INFO));
		
		JLabel factor1Lab = new JLabel(Constant.FACTOR_FACTOR1 + " : " + pd.getFactor1());
		JLabel descriptionLab = new JLabel(Constant.FACTOR_DESCRIPTION + " : " + pd.getDescription());
		
		Box box = Box.createVerticalBox();
		box.add(factor1Lab);
		if(pd.getFactorCount() == 2){
			JLabel factor2Lab = new JLabel(Constant.FACTOR_FACTOR2 + " : " + pd.getFactor2());
			box.add(factor2Lab);
		}
		box.add(descriptionLab);
		add(box);
	}
}
