package main.phrasemodel.model.ManualAdd;

import javax.swing.table.AbstractTableModel;

public class ReplaceTableModel extends AbstractTableModel {

	private static final long serialVersionUID = 5417954220501471379L;
	protected String[] columnNames;
	protected Object[][] object;
	
	public ReplaceTableModel(Object[][] object, String[] columnNames){
		this.object = object;
		this.columnNames = columnNames;
	}
	
	public int getColumnCount() {
		return columnNames.length;
	}
	
	public String getColumnName(int col) {
		return columnNames[col];
	}
	
	public int getRowCount() {
		return object.length;
	}

	public Object getValueAt(int i, int j) {
		return object[i][j];
	}
	
	public void setValueAt(Object aValue, int i, int j) {
		object[i][j] = aValue;
		fireTableCellUpdated(i, j);
	}
	
	public boolean isCellEditable(int row, int col) {
		if (col < 1 ) {
            return false;
        } else {
            return true;
        }
	}
}
