package main.phrasemodel.validation;

import main.phrasemodel.vo.PhraseData;

import org.springframework.validation.Errors;
import org.springframework.validation.Validator;


public class PhraseValidator implements Validator {
	
	public boolean supports(Class<?> arg0) {
		return PhraseData.class.isAssignableFrom(arg0);
	}

	public void validate(Object object, Errors errors) {

		PhraseData pd = (PhraseData) object;
		if("".equals(pd.getFactor1())){
			errors.rejectValue("factor1","required");
		}
	}
}
