package main.phrasemodel.vi;

import java.awt.Point;
import java.awt.event.MouseEvent;

import javax.swing.JTable;

public class ToolTipTextTable extends JTable {
	
	private static final long serialVersionUID = -5172524198599704018L;
	
	public String getToolTipText(MouseEvent event) {
		String tip = "";
        Point p = event.getPoint();
        int rowIndex = rowAtPoint(p);
        if(rowIndex>-1){
        	tip += "<html>";
        	for(int i = 2; i < getColumnCount(); i++){
	        	tip += getValueAt(rowIndex, i) + "<br>";
	        }
        	tip += "</html>";
        }
        return tip;
	}
}
