package main.phrasemodel.view.ManualAdd;

import java.awt.BorderLayout;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

import javax.swing.BorderFactory;
import javax.swing.JComboBox;
import javax.swing.JPanel;

import tools.util.Constant;

import main.phrasemodel.controller.ManualAdd.ManualAddMainController;

public class SelectAlgorithmsPanel extends JPanel implements ItemListener {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2820533745020767941L;
	private ManualAddMainController controller;
	
	public SelectAlgorithmsPanel(SelectState view){
		setBorder(BorderFactory.createTitledBorder(Constant.FACTOR_MANAGE_EXPER_SELECT_SPLIT));
		this.setLayout(new BorderLayout());
		
		controller = view.getController();
		controller.setType(0);
		JComboBox algorithmComboBox = new JComboBox();
		algorithmComboBox.addItem(Constant.FACTOR_MANAGE_EXPER_EN);
		algorithmComboBox.addItem(Constant.FACTOR_MANAGE_EXPER_CH);
		algorithmComboBox.addItem(Constant.FACTOR_MANAGE_EXPER_NOT_USE);
		algorithmComboBox.addItemListener(this);
		this.add(algorithmComboBox, BorderLayout.CENTER);
	}
	
	public void itemStateChanged(ItemEvent e) {
		JComboBox combo = (JComboBox) e.getSource();
		int index = combo.getSelectedIndex();
		controller.setType(index);
	}
}
