package main.phrasemodel.vo;

import java.sql.ResultSet;

public class PhraseData extends VO {
	private int id;
	private String description;
	private String factor1;
	private String factor2;
	private String totalSentences;
	private int no;
	
	public PhraseData() {
	}
	
	public PhraseData(ResultSet rs){
		try {
			setFactor1(rs.getString("factor1"));
			setFactor2(rs.getString("factor2"));
			setDescription(rs.getString("description"));
			setId(rs.getInt("id"));
			setTotalSentences(rs.getString("total_sentences"));
		} catch (Exception e) {
			e.getStackTrace();
		}
	}

	
	public Object[] toObjectArray(int order){
		Object[] object = {order, getId(), getFactor1(), getFactor2(), getDescription(), getTotalSentences()};
		return object;
	}
	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getFactor1() {
		return factor1;
	}

	public void setFactor1(String factor1) {
		this.factor1 = factor1;
	}

	public String getFactor2() {
		return factor2;
	}

	public void setFactor2(String factor2) {
		this.factor2 = factor2;
	}

	public String getTotalSentences() {
		return totalSentences;
	}

	public void setTotalSentences(String totalSentences) {
		this.totalSentences = totalSentences;
	}
	
	public int getNo() {
		return no;
	}

	public void setNo(int no) {
		this.no = no;
	}

	public int getFactorCount() {
		if(getFactor2() == null){
			return 1;
		}else{
			return 2;
		}
	}
}
