package tools.db;

import java.io.File;

import javax.swing.JOptionPane;

import org.springframework.jdbc.core.JdbcTemplate;

import tools.util.Constant;

public class DBCheck {
	private final static String path = System.getProperty("user.dir");
	private static File file = new File(path + System.getProperty("file.separator") + Constant.DB_NAME);
	
	public static void checkFileExist(){
		if(file.exists()){
			//資料庫若存在，就做 VACUUM
			JdbcTemplate jdbcTemplate = DBConnector.getJdbcTemplate();
			jdbcTemplate.execute("VACUUM");
		}else{
			JOptionPane.showMessageDialog(null, Constant.MSG_DB_NOT_EXIST);
		}
	}
}
