package tools.util;

import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.Window;

public class ScreenSet {
	
	private static Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
	
	public static void setWidowCenter(Window w){
		int x = (dim.width - w.getWidth())/2;
		int y = (dim.height - w.getHeight())/2;
		w.setLocation(x, y);
	}
	
	public static void setMaximizedWindow(Window w){
		int width = dim.width;
		int height = dim.height;
		w.setSize(width, height);
	}
}
