package tools.util;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;

public class SubTask implements Runnable {
	private BufferedReader iReader;
	private StringBuffer sb;

	public SubTask(InputStream istream, StringBuffer sb) throws UnsupportedEncodingException {
		this.sb = sb;
		if (istream == null)
			iReader = new BufferedReader(new InputStreamReader(System.in));
		else
			iReader = new BufferedReader(new InputStreamReader(istream));
	}

	public void run() {
		try {
			String input = iReader.readLine();
			while (input != null) {
				sb.append(input);
				sb.append(System.getProperty("line.separator"));
				input = iReader.readLine();
			}
		} catch (IOException ioe) {
		}
	}
}
