package vo;

import java.sql.ResultSet;
import java.sql.SQLException;


public class MailToServerRowMapper {

	private String fake;
	private String sentence;
	private String contentId;
	
	public MailToServerRowMapper(ResultSet rs){
		
		try {
			setContentId(rs.getString("id"));
			setFake(rs.getString("is_interference"));
			setSentence(rs.getString("questionsentence"));
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
	
	public String isFake() {
		return fake;
	}
	public void setFake(String fake) {
		this.fake = fake;
	}
	
	public String getSentence() {
		return sentence;
	}
	public void setSentence(String sentence) {
		this.sentence = sentence;
	}
	
	public String getContentId() {
		return contentId;
	}
	public void setContentId(String contentId) {
		this.contentId = contentId;
	}

}
