package vo;

import java.sql.ResultSet;
import java.sql.SQLException;

public class PhraseTable extends VO {
	private int id;
	private String factor1;
	private String factor2;
	private String description;
	private int totalSentences;
	
	public PhraseTable(ResultSet rs){
		try {
			setId(rs.getInt("id"));
			setFactor1(rs.getString("factor1"));
			setFactor2(rs.getString("factor2"));
			setDescription(rs.getString("description"));
			setTotalSentences(rs.getInt("total_sentences"));
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getFactor1() {
		return factor1;
	}
	public void setFactor1(String factor1) {
		this.factor1 = factor1;
	}
	public String getFactor2() {
		return factor2;
	}
	public void setFactor2(String factor2) {
		this.factor2 = factor2;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public int getTotalSentences() {
		return totalSentences;
	}
	public void setTotalSentences(int totalSentences) {
		this.totalSentences = totalSentences;
	}
}
