package vo;

import java.sql.ResultSet;
import java.sql.SQLException;

public class SettingData extends VO {
	private String name;
	private String value;
	
	public SettingData(){}
	
	public SettingData(ResultSet rs){
		try {
			name = rs.getString("name");
			value = rs.getString("value");
		} catch (SQLException e) {
			name = "";
			value = "";
			e.printStackTrace();
		}
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}
}
