package main.experimental.ui;

import java.awt.Graphics;
import java.awt.Image;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JPanel;

public class ImagePanel extends JPanel {

	private static final long serialVersionUID = -1615426005238946912L;
	
	private Image img;
	public ImagePanel(File file) throws IOException {
		img = ImageIO.read(file);
	}
	
	public void paint(Graphics g) {
		if( img != null) {
			g.drawImage(img,0,0, this);
		}
	}
}
