package main.experimental.ui;

import java.awt.Dimension;
import java.io.File;
import java.io.IOException;

import javax.swing.JDialog;

public class ShowRJPGDialog extends JDialog {
	private static final long serialVersionUID = 6308987790555870298L;
	public ShowRJPGDialog(File file){
		initView(file);
	}

	private void initView(File file) {
		try {
			ImagePanel imagePanel = new ImagePanel(file);
			this.add(imagePanel);
			this.setSize(new Dimension(480, 480));
			this.setVisible(true);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
