package main.phrasemodel.management.model;

import java.util.ArrayList;

import javax.swing.table.AbstractTableModel;

public class SuperTableModel extends AbstractTableModel {
	
	private static final long serialVersionUID = 7574400652927386024L;
	protected String[] columnNames;
	protected ArrayList<Object[]> data;
	
	public SuperTableModel(String[] columnNames, ArrayList<Object[]> data){
		this.columnNames = columnNames;
		this.data = data;
	}
	
	public String getColumnName(int i) {
		return columnNames[i];
	}
	
	public int getColumnCount() {
		return columnNames.length;
	}
	
	public int getRowCount() {
		return data.size();
	}
	
	public int findColumn(String columnName) {
		return super.findColumn(columnName);
	}
	
	public Object getValueAt(int i, int j) {
		return data.get(i)[j];
	}
}
