package main.phrasemodel.model;

import javax.swing.table.AbstractTableModel;

public class ModifyPhraseTableModel extends AbstractTableModel {
	private static final long serialVersionUID = 2467480044094527314L;

	protected String[] columnNames;
	protected Object[][] data;
	
	public ModifyPhraseTableModel(String[] columnNames, Object[][] data){
		this.columnNames = columnNames;
		this.data = data;
	}
	
	public String getColumnName(int i) {
		return columnNames[i];
	}
	
	public int getColumnCount() {
		return columnNames.length;
	}
	
	public int getRowCount() {
		return data.length;
	}
	
	public Object getValueAt(int i, int j) {
		return data[i][j];
	}
	
	public Object[] getRow(int i) {
		return data[i];
	}
}
