package main.phrasemodel.model;

import java.util.ArrayList;

import javax.swing.table.AbstractTableModel;

public class PhraseTableModel extends AbstractTableModel {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8996297441435919931L;
	protected String[] columnNames;
	protected ArrayList<Object[]> data;
	
	public PhraseTableModel(String[] columnNames, ArrayList<Object[]> data){
		this.columnNames = columnNames;
		this.data = data;
	}
	
	public String getColumnName(int i) {
		return columnNames[i];
	}
	
	public int getColumnCount() {
		return columnNames.length;
	}
	
	public int getRowCount() {
		return data.size();
	}
	
	public Object getValueAt(int i, int j) {
		return data.get(i)[j];
	}
	
	public Object[] getRow(int i) {
		return data.get(i);
	}
	
	public void addRow(Object[] object){
		data.add(0, object);
	}
	
	public int findColumn(String columnName) {
		return super.findColumn(columnName);
	}
}
