package main.phrasemodel.validation;

import main.phrasemodel.vo.DemoData;

import org.springframework.validation.Errors;
import org.springframework.validation.ValidationUtils;
import org.springframework.validation.Validator;


public class EDValidator implements Validator {
	
	private int factorCount;
	
	public EDValidator(int count){
		factorCount = count;
	}
	
	public boolean supports(Class<?> arg0) {
		return DemoData.class.isAssignableFrom(arg0);
	}

	public void validate(Object object, Errors errors) {
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "title", "required");
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "case1", "required");
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "case2", "required");
		if(factorCount == 2){
			ValidationUtils.rejectIfEmptyOrWhitespace(errors, "case3", "required");
			ValidationUtils.rejectIfEmptyOrWhitespace(errors, "case4", "required");
		}
	}
}
