package main.phrasemodel.vo;

import java.sql.ResultSet;

public class ED extends VO {
	private int id;
	private String title;
	private String case1;
	private String case2;
	private String case3;
	private String case4;
	private int phraseId;
	
	public ED() {
	}
	
	public ED(ResultSet rs){
		try {
			setId(rs.getInt("id"));
			setTitle(rs.getString("title"));
			setCase1(rs.getString("case1"));
			setCase2(rs.getString("case2"));
			setCase3(rs.getString("case3"));
			setCase4(rs.getString("case4"));
			setPhraseId(rs.getInt(rs.getInt("phrase_id")));
		} catch (Exception e) {
			e.getStackTrace();
		}
	}

	public Object[] toObjectArray(int order){
		Object[] object = {order, getId(), getTitle(), getCase1(), getCase2(), getCase3(), getCase4()};
		return object;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getCase1() {
		return case1;
	}

	public void setCase1(String case1) {
		this.case1 = case1;
	}

	public String getCase2() {
		return case2;
	}

	public void setCase2(String case2) {
		this.case2 = case2;
	}

	public String getCase3() {
		return case3;
	}

	public void setCase3(String case3) {
		this.case3 = case3;
	}

	public String getCase4() {
		return case4;
	}

	public void setCase4(String case4) {
		this.case4 = case4;
	}

	public int getPhraseId() {
		return phraseId;
	}

	public void setPhraseId(int phraseId) {
		this.phraseId = phraseId;
	}

	public int getFactorCount() {
		if(case3 == null){
			return 1;
		}else{
			return 2;
		}
	}
	
	//XXX 不應該放在這個 class 裡
	public boolean isFieldDuplicate() {
		int num = 0;
		if(case1.equals(case2)){
			num++;
		}
		
		if(case3 != null && case4 != null){
			if(case1.equals(case3)){
				num++;
			}
			if(case1.equals(case4)){
				num++;
			}
			if(case2.equals(case3)){
				num++;
			}
			if(case2.equals(case4)){
				num++;
			}
			if(case3.equals(case4)){
				num++;
			}
		}
		
		if(num>0){
			return true;
		}else{
			return false;
		}
	}
}
