package main.setting;

import java.util.ArrayList;

import javax.swing.JPanel;

import main.setting.observer.SettingObserver;
import main.setting.observer.SettingSubject;

public abstract class SettingObserverPanel extends JPanel implements SettingSubject {
	private static final long serialVersionUID = -2281013094556017157L;
	
	private ArrayList<SettingObserver> observer = new ArrayList<SettingObserver>();
	
	public void notifyBtnEnable() {
		for(SettingObserver o : observer){
			o.setBtnEnabled();
		}
	}

	public void registerObserver(SettingObserver o) {
		observer.add(o);
	}

	public void removeDemoObserver(SettingObserver o) {
		observer.remove(o);
	}
}
