package tools.i18n;

import java.io.File;
import java.util.ArrayList;

public class FileList {
	
	//設定語言檔路徑 I18N.setLanguage 一併變更
	private final static String path = System.getProperty("user.dir")+"\\lang";
	private static boolean isFileExist = false;
	
	private static File dir;
	private static ArrayList<String> tmp;
	private static ArrayList<String> langFiles;
	private static ArrayList<String> locationFiles;
			
	public static ArrayList<String> getLang(){
		return langFiles;
	}
	
	public static ArrayList<String> getLoca(){
		return locationFiles;
	}
	
	public static boolean isFileExist(){
		new FileList();
		return isFileExist;
	}

	private FileList() {
		dir = new File(path);
		String[] files = dir.list();
		tmp = new ArrayList<String>();
		checkFiles(files);
		
		if((0 == files.length)||(null == tmp)){
			isFileExist = false;
			return;
		}

		langFiles = new ArrayList<String>();
		locationFiles = new ArrayList<String>();
		
		for(int i=0; i<tmp.size(); i++)    {
			if(null == tmp.get(i)){
				continue;
			}
			if(tmp.get(i).contains("_")){
				langFiles.add(tmp.get(i).substring(0,tmp.get(i).lastIndexOf("_")));
				locationFiles.add(tmp.get(i).substring(tmp.get(i).lastIndexOf("_")+1,tmp.get(i).length()));
				isFileExist = true;
			}
		}
	}
	
	//檢查副檔名符合properties的個數
	private static void checkFiles(String[] files){
		for(int i=0; i<files.length; i++)    {
			int startIndex = files[i].lastIndexOf(".")+1;
			int endIndex = files[i].length();
			String extenstion = files[i].substring(startIndex,endIndex);
			if(extenstion.toLowerCase().equals("properties")){
				String str = files[i].replace(".properties", "");
				if(str.matches("MiniJudge_[a-z]{2}_[A-Z]{2}")){
					str = str.replace("MiniJudge_", "");
					tmp.add(str);
				}
			}
		}
	}
	
	
}
