package vo;

import java.util.ArrayList;
import java.util.HashMap;

public class CustomMap extends HashMap<String, ArrayList<Integer>> {
	/**
	 * 
	 */
	private static final long serialVersionUID = 2810843061409360828L;
	private ArrayList<String> valueList;
	
	public CustomMap() {
		valueList = new ArrayList<String>();
	}
	
	public void putMapListValue(String key, String value) {
		valueList.add(value);
		if(this.containsKey(key)){
			this.get(key).add(valueList.size()-1);
		}else{
			ArrayList<Integer> index = new ArrayList<Integer>();
			index.add(valueList.size()-1);
			this.put(key, index);
		}
	}
	
	public String getValue(int i){
		return valueList.get(i);
	}
	
	public void setValue(String key, String value){
		for(int i : this.get(key)){
			if("".equals(value)){
				valueList.set(i, key);
			}else{
				valueList.set(i, value);
			}
		}
	}
	
	public String getAllValue(String spator){
		String str = "";
		for(String s: valueList){
			str += s + spator;
		}
		if(str.matches("[A-Za-z]+(.)*")){
			String tmp = "";
			if(str.length() > 1){
				tmp = str.substring(1);
			}
			return str.substring(0,1).toUpperCase() + tmp;
		}
		return str;
	}
}
