package vo;

import main.phrasemodel.vo.ED;
import main.phrasemodel.vo.PhraseData;

public class ExportData {
	private int set;
	private int item;
	private String f1;
	private String f2;
	private String exper;
	private PhraseData pd;
	private ED ed;
	
	public ExportData(PhraseData pd, ED ed) {
		this.pd = pd;
		this.ed = ed;
		setF1(pd.getFactor1().substring(0, 1));
		if(2 == pd.getFactorCount()){
			setF2(pd.getFactor2().substring(0, 1));
		}
	}

	public int getSet() {
		return set;
	}
	
	public void setSet(int set) {
		this.set = set;
	}
	
	public int getItem() {
		return item;
	}
	
	public void setItem(int item) {
		this.item = item;
	}
	
	public String getF1() {
		return f1;
	}
	
	public void setF1(String f1) {
		this.f1 = f1;
	}
	
	public String getF2() {
		return f2;
	}
	
	public void setF2(String f2) {
		this.f2 = f2;
	}
	
	public String getExper() {
		return exper;
	}
	
	public void setExper(String exper) {
		this.exper = exper;
	}
	
	public String getString(){
		int mod = 2 * pd.getFactorCount();
		int count = item % mod;
		String str = "";
		switch(count){
			case 1:
				str = "+" + f1;
				if(2 == pd.getFactorCount()){
					str += "+" + f2;
				}
				exper = ed.getCase1();
			break;
			case 2:
				str = "+" + f1 + "-" + f2;
				exper = ed.getCase2();
			break;
			case 3:
				str = "-" + f1 + "+" + f2;
				exper = ed.getCase3();
			break;
			case 0:
				str = "-" + f1;
				exper = ed.getCase2();
				if(2 == pd.getFactorCount()){
					str += "-" + f2;
					exper = ed.getCase4();
				}
				
			break;
		}
		return item + "." + set + str + "> " + exper + System.getProperty("line.separator");
	}
}
